package net.mcreator.enderitestuff.client.model;

import net.minecraft.world.entity.Entity;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.model.geom.builders.PartDefinition;
import net.minecraft.client.model.geom.builders.MeshDefinition;
import net.minecraft.client.model.geom.builders.LayerDefinition;
import net.minecraft.client.model.geom.builders.CubeListBuilder;
import net.minecraft.client.model.geom.builders.CubeDeformation;
import net.minecraft.client.model.geom.PartPose;
import net.minecraft.client.model.geom.ModelPart;
import net.minecraft.client.model.geom.ModelLayerLocation;
import net.minecraft.client.model.EntityModel;

import com.mojang.blaze3d.vertex.VertexConsumer;
import com.mojang.blaze3d.vertex.PoseStack;

// Made with Blockbench 4.11.2
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports
public class ModelSpearEntity<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(new ResourceLocation("enderite__stuff", "model_spear_entity"), "main");
	public final ModelPart Spear;

	public ModelSpearEntity(ModelPart root) {
		this.Spear = root.getChild("Spear");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();
		PartDefinition Spear = partdefinition.addOrReplaceChild("Spear", CubeListBuilder.create().texOffs(0, 0).addBox(-1.0F, -1.0F, 1.5F, 2.0F, 2.0F, 41.0F, new CubeDeformation(0.0F)).texOffs(1, 44)
				.addBox(-1.0F, -1.0F, -2.0F, 2.0F, 2.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(12, 43).addBox(-2.0F, -2.0F, -0.5F, 4.0F, 4.0F, 2.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 24.0F, 0.0F, 0.0F, -1.5708F, -1.5708F));
		PartDefinition cube_r1 = Spear.addOrReplaceChild("cube_r1", CubeListBuilder.create().texOffs(34, 48).addBox(-1.0F, -1.0F, -4.0F, 1.0F, 2.0F, 4.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.6F, 0.0F, 1.0F, 0.0F, -0.3927F, 0.0F));
		PartDefinition cube_r2 = Spear.addOrReplaceChild("cube_r2", CubeListBuilder.create().texOffs(36, 43).addBox(-1.0F, -1.0F, -4.0F, 2.0F, 1.0F, 4.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -1.6F, 1.0F, 0.3927F, 0.0F, 0.0F));
		PartDefinition cube_r3 = Spear.addOrReplaceChild("cube_r3", CubeListBuilder.create().texOffs(24, 48).addBox(0.0F, -1.0F, -4.0F, 1.0F, 2.0F, 4.0F, new CubeDeformation(0.0F)), PartPose.offsetAndRotation(1.6F, 0.0F, 1.0F, 0.0F, 0.3927F, 0.0F));
		PartDefinition cube_r4 = Spear.addOrReplaceChild("cube_r4", CubeListBuilder.create().texOffs(24, 43).addBox(-1.0F, 0.0F, -4.0F, 2.0F, 1.0F, 4.0F, new CubeDeformation(0.0F)), PartPose.offsetAndRotation(0.0F, 1.6F, 1.0F, -0.3927F, 0.0F, 0.0F));
		return LayerDefinition.create(meshdefinition, 128, 128);
	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay, float red, float green, float blue, float alpha) {
		Spear.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}

	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw, float headPitch) {
	}
}
