
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.enderitestuff.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraftforge.event.entity.EntityAttributeModificationEvent;

import net.minecraft.world.entity.player.Player;
import net.minecraft.world.entity.ai.attributes.RangedAttribute;
import net.minecraft.world.entity.ai.attributes.Attribute;
import net.minecraft.world.entity.EntityType;

import net.mcreator.enderitestuff.EnderiteStuffMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EnderiteStuffModAttributes {
	public static final DeferredRegister<Attribute> REGISTRY = DeferredRegister.create(ForgeRegistries.ATTRIBUTES, EnderiteStuffMod.MODID);
	public static final RegistryObject<Attribute> DEV_COOLDOWN_MODIFIER = REGISTRY.register("dev_cooldown_modifier", () -> new RangedAttribute("attribute.enderite__stuff.dev_cooldown_modifier", 0, 0, 1).setSyncable(true));
	public static final RegistryObject<Attribute> JETPACK_FLY = REGISTRY.register("jetpack_fly", () -> new RangedAttribute("attribute.enderite__stuff.jetpack_fly", 0, 0, 1).setSyncable(true));

	@SubscribeEvent
	public static void addAttributes(EntityAttributeModificationEvent event) {
		event.add(EntityType.PLAYER, DEV_COOLDOWN_MODIFIER.get());
		event.add(EntityType.PLAYER, JETPACK_FLY.get());
	}

	@Mod.EventBusSubscriber
	public static class PlayerAttributesSync {
		@SubscribeEvent
		public static void playerClone(PlayerEvent.Clone event) {
			Player oldPlayer = event.getOriginal();
			Player newPlayer = event.getEntity();
			newPlayer.getAttribute(DEV_COOLDOWN_MODIFIER.get()).setBaseValue(oldPlayer.getAttribute(DEV_COOLDOWN_MODIFIER.get()).getBaseValue());
			newPlayer.getAttribute(JETPACK_FLY.get()).setBaseValue(oldPlayer.getAttribute(JETPACK_FLY.get()).getBaseValue());
		}
	}
}
