
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.enderitestuff.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.enderitestuff.entity.SpearEntity;
import net.mcreator.enderitestuff.entity.RayEntity;
import net.mcreator.enderitestuff.entity.MiningLazerEntity;
import net.mcreator.enderitestuff.entity.LazerEntity;
import net.mcreator.enderitestuff.entity.DungeonWhirlEntity;
import net.mcreator.enderitestuff.entity.DungeonMasterEntity;
import net.mcreator.enderitestuff.entity.BeamEntity;
import net.mcreator.enderitestuff.EnderiteStuffMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EnderiteStuffModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, EnderiteStuffMod.MODID);
	public static final RegistryObject<EntityType<LazerEntity>> LAZER = register("lazer",
			EntityType.Builder.<LazerEntity>of(LazerEntity::new, MobCategory.MISC).setCustomClientFactory(LazerEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<MiningLazerEntity>> MINING_LAZER = register("mining_lazer",
			EntityType.Builder.<MiningLazerEntity>of(MiningLazerEntity::new, MobCategory.MISC).setCustomClientFactory(MiningLazerEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<DungeonWhirlEntity>> DUNGEON_WHIRL = register("dungeon_whirl",
			EntityType.Builder.<DungeonWhirlEntity>of(DungeonWhirlEntity::new, MobCategory.MISC).setCustomClientFactory(DungeonWhirlEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<DungeonMasterEntity>> DUNGEON_MASTER = register("dungeon_master", EntityType.Builder.<DungeonMasterEntity>of(DungeonMasterEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
			.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DungeonMasterEntity::new).fireImmune().sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<SpearEntity>> SPEAR = register("spear",
			EntityType.Builder.<SpearEntity>of(SpearEntity::new, MobCategory.MISC).setCustomClientFactory(SpearEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<RayEntity>> RAY = register("ray",
			EntityType.Builder.<RayEntity>of(RayEntity::new, MobCategory.MISC).setCustomClientFactory(RayEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<BeamEntity>> BEAM = register("beam",
			EntityType.Builder.<BeamEntity>of(BeamEntity::new, MobCategory.MISC).setCustomClientFactory(BeamEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			DungeonMasterEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(DUNGEON_MASTER.get(), DungeonMasterEntity.createAttributes().build());
	}
}
