
package net.mcreator.enderitestuff.item;

import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.PickaxeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;

import net.mcreator.enderitestuff.init.EnderiteStuffModItems;

public class EnderitePickaxeItem extends PickaxeItem {
	public EnderitePickaxeItem() {
		super(new Tier() {
			public int getUses() {
				return 4000;
			}

			public float getSpeed() {
				return 12f;
			}

			public float getAttackDamageBonus() {
				return 5f;
			}

			public int getLevel() {
				return 4;
			}

			public int getEnchantmentValue() {
				return 17;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(EnderiteStuffModItems.ENDERITE_INGOT.get()));
			}
		}, 1, -2.8f, new Item.Properties().fireResistant());
	}
}
