// Made with Blockbench 4.12.2
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelJetpack<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "jetpack"), "main");
	private final ModelPart ArmR;
	private final ModelPart ArmL;
	private final ModelPart Jetpack;

	public ModelJetpack(ModelPart root) {
		this.ArmR = root.getChild("ArmR");
		this.ArmL = root.getChild("ArmL");
		this.Jetpack = root.getChild("Jetpack");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition ArmR = partdefinition.addOrReplaceChild("ArmR", CubeListBuilder.create(),
				PartPose.offset(1.0F, 13.8F, 3.6F));

		PartDefinition ArmL = partdefinition.addOrReplaceChild("ArmL", CubeListBuilder.create(),
				PartPose.offset(1.0F, 13.8F, 3.6F));

		PartDefinition Jetpack = partdefinition.addOrReplaceChild("Jetpack",
				CubeListBuilder.create().texOffs(16, 14)
						.addBox(2.0F, -0.2F, -2.4F, 3.0F, 0.0F, 7.0F, new CubeDeformation(0.0F)).texOffs(16, 21)
						.addBox(-5.0F, -0.2F, -2.4F, 3.0F, 0.0F, 7.0F, new CubeDeformation(0.0F)).texOffs(0, 14)
						.addBox(1.0F, -1.0F, 2.0F, 5.0F, 11.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(0, 0)
						.addBox(-6.0F, -1.0F, 2.0F, 5.0F, 11.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(0, 28)
						.addBox(-1.0F, 0.0F, 2.0F, 2.0F, 9.0F, 2.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Body_r1 = Jetpack.addOrReplaceChild("Body_r1",
				CubeListBuilder.create().texOffs(16, 0)
						.addBox(-2.0F, 0.0F, -7.0F, 3.0F, 0.0F, 7.0F, new CubeDeformation(0.0F)).texOffs(8, 30)
						.addBox(1.0F, 0.0F, -7.0F, 4.0F, 0.0F, 2.0F, new CubeDeformation(0.0F)).texOffs(16, 7)
						.addBox(5.0F, 0.0F, -7.0F, 3.0F, 0.0F, 7.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.0F, -0.2F, -2.4F, 1.5708F, 0.0F, 0.0F));

		PartDefinition Body_r2 = Jetpack.addOrReplaceChild("Body_r2",
				CubeListBuilder.create().texOffs(22, 28).addBox(4.0F, 0.0F, -7.0F, 5.0F, 0.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(4.0F, -0.2F, 6.6F, 0.0F, 1.5708F, -1.5708F));

		PartDefinition Body_r3 = Jetpack.addOrReplaceChild("Body_r3",
				CubeListBuilder.create().texOffs(8, 28).addBox(4.0F, 0.0F, -7.0F, 5.0F, 0.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-4.0F, -0.2F, 6.6F, 0.0F, 1.5708F, -1.5708F));

		return LayerDefinition.create(meshdefinition, 64, 64);
	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		ArmR.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		ArmL.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		Jetpack.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}

	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {
	}
}