
/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.enderitestuff.init;

import org.lwjgl.glfw.GLFW;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.TickEvent;
import net.minecraftforge.client.event.RegisterKeyMappingsEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.client.Minecraft;
import net.minecraft.client.KeyMapping;

import net.mcreator.enderitestuff.network.JetpackModeSwitchMessage;
import net.mcreator.enderitestuff.network.JetpackKeyMessage;
import net.mcreator.enderitestuff.EnderiteStuffMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = {Dist.CLIENT})
public class EnderiteStuffModKeyMappings {
	public static final KeyMapping JETPACK_KEY = new KeyMapping("key.enderite__stuff.jetpack_key", GLFW.GLFW_KEY_SPACE, "key.categories.movement") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				EnderiteStuffMod.PACKET_HANDLER.sendToServer(new JetpackKeyMessage(0, 0));
				JetpackKeyMessage.pressAction(Minecraft.getInstance().player, 0, 0);
				JETPACK_KEY_LASTPRESS = System.currentTimeMillis();
			} else if (isDownOld != isDown && !isDown) {
				int dt = (int) (System.currentTimeMillis() - JETPACK_KEY_LASTPRESS);
				EnderiteStuffMod.PACKET_HANDLER.sendToServer(new JetpackKeyMessage(1, dt));
				JetpackKeyMessage.pressAction(Minecraft.getInstance().player, 1, dt);
			}
			isDownOld = isDown;
		}
	};
	public static final KeyMapping JETPACK_MODE_SWITCH = new KeyMapping("key.enderite__stuff.jetpack_mode_switch", GLFW.GLFW_KEY_Z, "key.categories.movement") {
		private boolean isDownOld = false;

		@Override
		public void setDown(boolean isDown) {
			super.setDown(isDown);
			if (isDownOld != isDown && isDown) {
				EnderiteStuffMod.PACKET_HANDLER.sendToServer(new JetpackModeSwitchMessage(0, 0));
				JetpackModeSwitchMessage.pressAction(Minecraft.getInstance().player, 0, 0);
			}
			isDownOld = isDown;
		}
	};
	private static long JETPACK_KEY_LASTPRESS = 0;

	@SubscribeEvent
	public static void registerKeyMappings(RegisterKeyMappingsEvent event) {
		event.register(JETPACK_KEY);
		event.register(JETPACK_MODE_SWITCH);
	}

	@Mod.EventBusSubscriber({Dist.CLIENT})
	public static class KeyEventListener {
		@SubscribeEvent
		public static void onClientTick(TickEvent.ClientTickEvent event) {
			if (Minecraft.getInstance().screen == null) {
				JETPACK_KEY.consumeClick();
				JETPACK_MODE_SWITCH.consumeClick();
			}
		}
	}
}
