
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.enderitestuff.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.enderitestuff.EnderiteStuffMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class EnderiteStuffModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, EnderiteStuffMod.MODID);
	public static final RegistryObject<CreativeModeTab> EXPERIMENTAL = REGISTRY.register("experimental",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.enderite__stuff.experimental")).icon(() -> new ItemStack(EnderiteStuffModItems.BEAM_WAND_FR.get())).displayItems((parameters, tabData) -> {
				tabData.accept(EnderiteStuffModItems.STEEL_MAN_SUIT_HELMET.get());
				tabData.accept(EnderiteStuffModItems.STEEL_MAN_SUIT_CHESTPLATE.get());
				tabData.accept(EnderiteStuffModItems.STEEL_MAN_SUIT_LEGGINGS.get());
				tabData.accept(EnderiteStuffModItems.STEEL_MAN_SUIT_BOOTS.get());
				tabData.accept(EnderiteStuffModItems.EXO_SUIT_ARMOR_CHESTPLATE.get());
				tabData.accept(EnderiteStuffModItems.MULTITOOL.get());
				tabData.accept(EnderiteStuffModItems.MULTITOOL_PART.get());
				tabData.accept(EnderiteStuffModItems.MULTITOOL_PART_2.get());
				tabData.accept(EnderiteStuffModItems.MULTITOOL_PART_3.get());
				tabData.accept(EnderiteStuffModItems.LAZER_ARM.get());
				tabData.accept(EnderiteStuffModItems.MINING_LAZER_ARM.get());
				tabData.accept(EnderiteStuffModItems.SWORDOFTHE_DUNGEON_MASTER.get());
				tabData.accept(EnderiteStuffModItems.DUNGEON_MASTER_SPAWN_EGG.get());
				tabData.accept(EnderiteStuffModItems.REAL_SPEAR_OF_THE_DUNGEON.get());
				tabData.accept(EnderiteStuffModItems.RAY_SENDER.get());
				tabData.accept(EnderiteStuffModItems.JETPACK_CHESTPLATE.get());
				tabData.accept(EnderiteStuffModItems.FUEL_CEL.get());
				tabData.accept(EnderiteStuffModItems.EMPTY_FUEL_CEL.get());
				tabData.accept(EnderiteStuffModItems.HEALTH_BOOSTER.get());
				tabData.accept(EnderiteStuffModItems.STRENGHT_BOOSTER.get());
				tabData.accept(EnderiteStuffModItems.RANGE_BOOSTER.get());
				tabData.accept(EnderiteStuffModItems.BEAM_WAND_FR.get());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.BUILDING_BLOCKS) {
			tabData.accept(EnderiteStuffModBlocks.ENDERITE_ORE.get().asItem());
			tabData.accept(EnderiteStuffModBlocks.ENDERITE_BLOCK.get().asItem());
			tabData.accept(EnderiteStuffModBlocks.STEEL_BLOCK.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {
			tabData.accept(EnderiteStuffModBlocks.FLUORITE_CRYSTAL_ORE.get().asItem());
		} else if (tabData.getTabKey() == CreativeModeTabs.INGREDIENTS) {
			tabData.accept(EnderiteStuffModItems.STEEL.get());
			tabData.accept(EnderiteStuffModItems.T_0_CHIP.get());
			tabData.accept(EnderiteStuffModItems.T_1_CHIP.get());
			tabData.accept(EnderiteStuffModItems.T_2_CHIP.get());
			tabData.accept(EnderiteStuffModItems.T_3_CHIP.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_INGOT.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_SCRAP.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_UPGRADE.get());
			tabData.accept(EnderiteStuffModItems.INSTAMINER_UPGRADE.get());
			tabData.accept(EnderiteStuffModItems.FLUORITE_CRYSTAL.get());
			tabData.accept(EnderiteStuffModItems.OCANE_CRYSTAL.get());
			tabData.accept(EnderiteStuffModItems.POLISHED_OCANE.get());
			tabData.accept(EnderiteStuffModItems.SANDPAPER.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {
			tabData.accept(EnderiteStuffModItems.ENDERITE_AXE.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_PICKAXE.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_INSTANT.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_SHOVEL.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_HOE.get());
		} else if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {
			tabData.accept(EnderiteStuffModItems.ENDERITE_SWORD.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_ARMOR_HELMET.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_ARMOR_CHESTPLATE.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_ARMOR_LEGGINGS.get());
			tabData.accept(EnderiteStuffModItems.ENDERITE_ARMOR_BOOTS.get());
			tabData.accept(EnderiteStuffModItems.SWORD_1.get());
			tabData.accept(EnderiteStuffModItems.SWORD_2.get());
			tabData.accept(EnderiteStuffModItems.SWORD_3.get());
			tabData.accept(EnderiteStuffModItems.SWORD_4.get());
			tabData.accept(EnderiteStuffModItems.SWORD_5.get());
			tabData.accept(EnderiteStuffModItems.DAGGER.get());
			tabData.accept(EnderiteStuffModItems.HAMMER.get());
			tabData.accept(EnderiteStuffModItems.LAST_SWORD.get());
		}
	}
}
